WABT(1) | General Commands Manual | WABT(1)

# NAME

`wasm-interp` —
decode and run a WebAssembly binary file

# SYNOPSIS

`wasm-interp` | [options] file

# DESCRIPTION

`wasm-interp` decodes and runs a WebAssembly binary file using a stack-based interpreter.

The options are as follows:

`-v`, `-``-verbose`
  Use multiple times for more info
`-``-help`
  Print a help message
`-``-enable-exceptions`
  Experimental exception handling
`-``-disable-mutable-globals`
  Import/export mutable globals
`-``-enable-saturating-float-to-int`
  Saturating float-to-int operators
`-``-enable-sign-extension`
  Sign-extension operators
`-``-disable-simd`
  SIMD support
`-``-enable-threads`
  Threading support
`-V`, `-``-value-stack-size=SIZE`
  Size in elements of the value stack
`-C`, `-``-call-stack-size=SIZE`
  Size in elements of the call stack
`-t`, `-``-trace`
  Trace execution
`-``-run-all-exports`
  Run all the exported functions, in order. Useful for testing
`-``-host-print`
  Include an importable function named "host.print" for printing to stdout

# EXAMPLES

Parse binary file test.wasm, and type-check it

`$ wasm-interp test.wasm`

Parse test.wasm and run all its exported functions

`$ wasm-interp test.wasm --run-all-exports`

Parse test.wasm, run the exported functions and trace the output

`$ wasm-interp test.wasm --run-all-exports --trace`

Parse test.wasm and run all its exported functions, setting the value stack size to 100 elements

`$ wasm-interp test.wasm -V 100 --run-all-exports`

# SEE ALSO

wasm-objdump(1), wasm-opcodecnt(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wasm2wat(1), wast2json(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

# BUGS

If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.

October 7, 2021 | Debian